SDL_setenv_unsafe(3)

NAME
SDL_setenv_unsafe - Set the value of a variable in the environment.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_setenv_unsafe(const char *name, const char *value, int overwrite);

FUNCTION PARAMETERS

name
    the name of the variable to set.

value
    the value of the variable to set.

overwrite
    1 to overwrite the variable if it exists, 0 to return success without setting the variable if it already exists.

RETURN VALUE
Returns 0 on success, -1 on error.

THREAD SAFETY
This function is not thread safe, consider using

SDL_SetEnvironmentVariable () instead.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetEnvironmentVariable(3)